DEB-REVERSION(1)

NAME
deb-reversion - simple script pour changer la version d'un fichier .deb

SYNOPSIS

deb-reversion [options] .deb-file [message de journalisation...]

DESCRIPTION

deb-reversion dépaquette le fichier .deb indiqué, change le numéro de version aux endroits appropriés, ajoute une entrée de changelog Debian avec le contenu indiqué, et crée un nouveau fichier .deb avec la version mise à jour.

Par défaut, cet outil crée un numéro de version convenable pour les changements locaux, de manière à ce que le nouveau paquet soit considéré plus récent que le paquet actuel, mais moins récent que tout futur paquet Debian officiel. Avec -v version, le numéro de version peut être indiqué directement. D'un autre côté, l'option -c se contente de calculer le nouveau numéro de version mais ne génère pas de nouveau paquet.

Lors de la construction d'un paquet, les droits du superutilisateur sont nécessaires pour obtenir les permissions et les propriétaires adéquats pour le contenu du fichier .deb. Cela peut être réalisé soit en lançant la commande deb-reversion comme superutilisateur soit en lançant fakeroot(1), comme "fakeroot deb-reversion toto.deb".

Avec -k hook, un script crochet ("hook") peut être précisé, et lancé sur les paquets binaires dépaquetés juste avant qu'ils soient rempaquetés. Si vous voulez écrire les entrées du fichier changelog avec ce script, utilisez la commande "dch -a -- votre message". (Alternativement, vous pouvez ne pas indiquer l'entrée du changelog dans la ligne de commande deb-reversion, dch sera alors appelée automatiquement.) La commande crochet doit être placée entre guillemets s'il y a plus d'un mot ; elle est appelée avec la commande sh -c.

OPTIONS

-v nouvelle-version, --new-version nouvelle-version
    Indiquer le numéro de version à utiliser pour la nouvelle version. Passé à dch(1).

-o ancienne-version, --old-version ancienne-version
    Indiquer le numéro de version à utiliser comme ancienne version à la place de la version indiquée dans le fichier control du paquet .deb.

-c, --calculate-only
    Se contenter de calculer et d'afficher le nouveau numéro de version qui serait utilisé ; ne pas construire de nouveau paquet .deb. Ne peut pas être utilisé en même temps que -v.

-s chaîne, --string chaîne
    Au lieu d'ajouter "LOCAL." à l'ancien numéro de version, ajouter chaîne.

-k commande-crochet, --hook commande-crochet
    Une commande de crochet à lancer après avoir dépaqueté l'ancien fichier .deb, avoir modifié le fichier changelog et avant de construire le nouveau fichier .deb. Doit être placée entre guillemets si elle est constituée de plus d'un mot (du point de vue de l'interpréteur). Une seule commande de crochet peut être précisée ; si vous voulez effectuer plus de choses, vous pouvez indiquer "bash" comme commande de crochet, vous aurez ainsi une invite de commandes pour travailler.

-D, --debug
    Passer --debug à dpkg-deb(1).

-b, --force-bad-version
    Passer --force-bad-version à dch(1)

-h, --help
    Afficher les informations d'utilisation.

-V, --version
    Afficher les informations sur la version.

VOIR AUSSI

dch(1), dpkg-deb(1), fakeroot(1)

AVERTISSEMENT

deb-reversion est un outil censé aider les porteurs à modifier les paquets pour d'autres architectures et épauler deb-repack, qui crée des paquets modifiés avec des numéros de version identiques aux paquets officiels. Le chaos arrive. Avec deb-reversion, un numéro de version adéquat est choisi, qui ne génère pas de conflit avec la prochaine publication officielle, mais qui peut être ajouté avec APT ou gelé avec dpkg.

Veuillez noter que deb-reversion ne vient pas sans problèmes. Il fonctionne bien dans la plupart des cas, mais peut ne pas fonctionner dans les vôtres. En particulier, veuillez noter qu'il ne change (que) des paquets binaires et donc peut casser des dépendances versionnées entre des paquets produits à partir de la même source.

Vous utilisez cet outil à vos risques et périls, et ne venez pas pleurer si votre souris s'enflamme, si votre four à micro-ondes attaque votre chaîne stéréo, ou si votre poing rageur renverse votre café sur votre clavier, ce qui déclenche une vaste réaction en chaîne, ayant pour conséquence un transfert bancaire conséquent de votre compte au mien.

AUTEUR

deb-reversion est Copyright 2004-2005 martin F. Krafft <madduck@debian.org> ; les modifications sont Copyright 2006 Julian Gilbey <jdg@debian.org>.

Il est permis de copier, distribuer et/ou modifier ce document selon les termes de la licence Artistic : http://www.opensource.org/licenses/artistic-license.php. Sur les systèmes Debian, le texte complet de la licence Artistic est disponible dans /usr/share/common-licenses/Artistic.

Cette page de manuel a été écrite par martin F. Krafft <madduck@debian.org> et modifiée par Julian Gilbey <jdg@debian.org>.

TRADUCTION

Cette page de manuel a été traduite par Cyril Brulebois, Thomas Huriaux et David Prévot.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité.

La version anglaise la plus à jour de ce document est toujours consultable en ajoutant l'option « -L C » à la commande man.

N'hésitez pas à signaler à l'auteur ou à la liste de traduction <debian-l10-french@lists.debian.org> selon le cas, toute erreur dans cette page de manuel.

NOTES

1.  http://www.opensource.org/licenses/artistic-license.php